rust-axum (0.8.9+ds-2) unstable; urgency=medium

  * tighten crate version resolving during build
  * extend patches 1001_feature_fencing 1005_private_macros

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Apr 2026 14:04:07 +0200

rust-axum (0.8.9+ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid any .git* files when repackaging upstream source
    + license patches same as main upstream license
    + update coverage
  * update git-buildpackage config:
    + stop superfluously filter out .git* files
  * update watch file:
    + auto-mangle upstream and Debian versions
    + use repack suffix +ds
  * relax (build-, autopkgtest-)dependencies for all crates,
    except autopkgtest-dependencies for own feature-providing provisions
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 08 Apr 2026 17:35:20 +0200

rust-axum (0.8.8-8) unstable; urgency=medium

  * fix patches 1001 1005

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 15:14:57 +0100

rust-axum (0.8.8-7) unstable; urgency=medium

  * fix patch 1001;
    add patch 1005 to fix use private macros in tests;
    revert autopkgtests to not include feature __private

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Jan 2026 23:47:37 +0100

rust-axum (0.8.8-6) unstable; urgency=medium

  * drop patch 2001_tracing-subscriber,
    obsoleted by Debian packaging changes
  * drop patch 2001_tokio-tungstenite;
    tighten (build-)dependencies for crate tokio-tungstenite
  * drop patch 2005;
    fix autopkgtests for axum to always include feature __private;
    skip autopkgtests for axum-core axum-extra axum-macros

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Jan 2026 10:30:57 +0100

rust-axum (0.8.8-5) unstable; urgency=medium

  * drop patch 2006;
    tighten build-dependency on dh-sequence-rust
  * fix and extend patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Jan 2026 03:39:51 +0100

rust-axum (0.8.8-4) unstable; urgency=medium

  * fix patch 2001_tokio-tungstenite;
    tighten (build-)dependencies for crate tokio-tungstenite
  * extend patch 1002 to cover feature "json"
  * fix patch 2006, and revert related extension to patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Jan 2026 12:40:10 +0100

rust-axum (0.8.8-3) unstable; urgency=medium

  * fix extend patches 1001 2005

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Dec 2025 13:37:55 +0100

rust-axum (0.8.8-2) unstable; urgency=medium

  * stop set superfluous field Priority
  * declare compliance with Debian Policy 4.7.3
  * fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Dec 2025 22:09:31 +0100

rust-axum (0.8.8-1) experimental; urgency=medium

  * update watch file:
    + use file format 5
    + relax to match any version
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * (build-)depend on packages for crates serde_core tempfile;
    relax (build-)dependencies for crates prost tokio-tungstenite;
    stop (build-)depend on package for crate heck;
    provide axum-extra features
    cached handler middleware optional routing with-rejection
  * stop set obsolete Rules-Requires-Root

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Dec 2025 11:58:07 +0100

rust-axum (0.8.4-2) experimental; urgency=medium

  * fix version of virtually provided packages

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Aug 2025 15:17:31 +0200

rust-axum (0.8.4-1) experimental; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1092836

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * build-depend on package for crate futures-core (not async-trait);
    uidate (build-)dependencies
    for crates form-urlencoded futures-util matchit reqwest rustversion;
    provide axum-extra features error-response file-stream scheme
  * update copyright info: update coverage
  * relax (build-)dependencies for crate prost;
    closes: bug#1102597
  * add patch 1003 to accept newer releases of crate matchit

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Jun 2025 12:28:22 +0200

rust-axum (0.7.9-13) unstable; urgency=medium

  [ Reinhard Tartler ]
  * break older rust-tonic

  [ Jonas Smedegaard ]
  * tighten DEP-3 patch headers
  * provide axum-extra feature default

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Mar 2025 15:56:21 +0100

rust-axum (0.7.9-12) unstable; urgency=medium

  * drop patch 2001_multer;
    (build-)depend on package for crate multer;
    provide axume-extra feature multipart
  * drop outdated and duplicate autopkgtests
  * reduce patch 1001 to not fence with bogus axum feature "make"

 -- Blair Noctis <ncts@debian.org>  Mon, 17 Mar 2025 08:56:57 +0000

rust-axum (0.7.9-11) unstable; urgency=medium

  * fix patch 1001 more, closes: #1100349
  * add patch 1002, disabling examples to allow per-feaure testing

 -- Blair Noctis <ncts@debian.org>  Sun, 16 Mar 2025 19:46:20 +0000

rust-axum (0.7.9-10) unstable; urgency=medium

  * stop autopkgtest axum-extra,
    seemingly impossibly needing fenced axum::serve
    unavailable as exum-extra feature;
    strip bogus axum-extra parts of patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Mar 2025 17:35:09 +0100

rust-axum (0.7.9-9) unstable; urgency=medium

  * fix patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 19:30:15 +0100

rust-axum (0.7.9-8) unstable; urgency=medium

  * avoid conditional build in doc comment in patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 18:16:32 +0100

rust-axum (0.7.9-7) unstable; urgency=medium

  * extend patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 10 Mar 2025 14:28:39 +0100

rust-axum (0.7.9-6) unstable; urgency=medium

  * add patch 1001 to add feature fences for tests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Mar 2025 15:31:53 +0100

rust-axum (0.7.9-5) unstable; urgency=medium

  * fix autopkgtest-dependency for crate axum-macros;
    thanks to Blair Noctis

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 10:53:40 +0100

rust-axum (0.7.9-4) unstable; urgency=medium

  * fix autopkgtests:
    + omit testing axum-extra feature default
    + drop patched out dependencies
    thanks to Blair Noctis
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 15:28:33 +0100

rust-axum (0.7.9-3) unstable; urgency=medium

  * really fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Feb 2025 18:55:57 +0100

rust-axum (0.7.9-2) unstable; urgency=medium

  * fix patch 2006

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Feb 2025 16:07:25 +0100

rust-axum (0.7.9-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1084138

  [ Jonas Smedegaard ]
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + simplify usage comments
  * update watch file:
    + mangle upstream version
    + improve filename mangling
    + use Github API
    + limit tracking to branch v0.7
  * update copyright info: update coverage
  * update and unfuzz patches
  * Bump and tighten (build-)dependencies
    for crates http http-body hyper reqwest sync-wrapper
    tower tower-http;
    tighten dependencies for crate pin-project-lite tokio;
    (build-)depend on packages
    for crates fastrand http-body-util hyper-util serde_path_to_error;
    stop (build-)depend on packages for crate bitflags;
    bump project versions in virtual packages and autopkgtests
  * provide and autopkgtest features
    attachment json-deserializer tracing typed-header;
    stop provide feature erased-json,
    due to not-in-Debian crate typed-json
  * declare compliance with Debian Policy 4.7.1
  * add patch 2006 to break cyclic dependency;
    closes: bug#1093933,
    thanks to Santiago Vila, NoisyCoil and Hilko Bengen
    (see also bug#1094199)
  * add patches 2002_* to avoid crates multer and typed-json;
    stop provide axum feature multipart,
    and axum-extra features default and multipart

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Feb 2025 13:49:51 +0100

rust-axum (0.6.20-36) unstable; urgency=medium

  * update watch file: handle prereleases
  * add patch 1001_tokio-tungstenite
    to accept newer branches of crate tokio-tungstenite;
    relax (build-)dependencies for crate tokio-tungstenite;
    closes: bug#1076943, thanks to Matthias Geiger
  * declare build-dependencies unconditionally,
    i.e. drop broken nocheck annotations

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Dec 2024 01:21:56 +0100

rust-axum (0.6.20-35) unstable; urgency=medium

  * tighten build rules to catch failure in loop
  * stop mention dh-cargo in long description
  * add patch 1001 to accept newer branch of crate base64;
    bump build-dependency for crate base64;
    closes: bug#1084142, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 21:19:16 +0200

rust-axum (0.6.20-34) unstable; urgency=medium

  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Jul 2024 07:56:12 +0200

rust-axum (0.6.20-33) unstable; urgency=medium

  * extend patch 2005

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 21:02:12 +0200

rust-axum (0.6.20-32) unstable; urgency=medium

  * provide and autopkgtest axum-extra features
    form query typed-routing;
    (build-)depend on package for crate serde_html_form;
    drop patch 2001
  * extend patch 1003, thanks again to Reinhard Tartler
  * fix autopkgtest to exclude our custom feature "in-workspace",
    reduce patch 2005 to not superfluously advertise it

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jul 2024 13:41:19 +0200

rust-axum (0.6.20-31) unstable; urgency=medium

  * fix patch 2005
  * stop add now bogus feature no-workspace for autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2024 22:21:43 +0200

rust-axum (0.6.20-30) unstable; urgency=medium

  * improve patch 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2024 02:21:18 +0200

rust-axum (0.6.20-29) unstable; urgency=medium

  * really fix patch 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 17:16:42 +0200

rust-axum (0.6.20-28) unstable; urgency=medium

  * fix and improve patches 2003 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 13:56:56 +0200

rust-axum (0.6.20-27) unstable; urgency=medium

  * revive patches 2003 2005, with updated DEP-3 headers;
    add axum-extras feature no-workspace for autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 12:47:48 +0200

rust-axum (0.6.20-26) unstable; urgency=medium

  * extend patch 1003 to cover axum-extra;
    enable autopkgtests for axum-extra;
    drop patches 2003 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 11:24:57 +0200

rust-axum (0.6.20-25) unstable; urgency=medium

  * add patch 2005 to skip by default tests only building in workspace

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 10:44:09 +0200

rust-axum (0.6.20-24) unstable; urgency=medium

  * update DEP-3 headers for patch 1002
  * add patch 1003 to add feature fences for tests;
    closes: bug#1064232, thanks to Reinhard Tartler
  * update TODO note on pending bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Jul 2024 08:59:39 +0200

rust-axum (0.6.20-23) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * rewrite (and re-enable) patch 1002
    to fix feature json;
    closes: bug#1076418, thanks to Reinhard Tartler and Jeremy Bícha

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jul 2024 16:45:31 +0200

rust-axum (0.6.20-22) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * tighten substvars: use ${rust:Version:*} with full package name
    (see bug#1076434)
  * disable patch 2003
    (see bug#1076418)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jul 2024 09:25:41 +0200

rust-axum (0.6.20-21) unstable; urgency=medium

  * extend patch 1002 to fence more tests
  * tighten package version resolving and mangling
  * add patch 1001_prost to accept newer branch of crate prost;
    bump (build-)dependencies for crate prost

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 13:23:06 +0200

rust-axum (0.6.20-20) unstable; urgency=medium

  * fix patch 1002

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 11:38:13 +0200

rust-axum (0.6.20-19) unstable; urgency=medium

  * add patch 1002
    to add feature fences for tests;
    closes: bug#1064232, thanks (again) to Jeremy Bícha
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 10:59:29 +0200

rust-axum (0.6.20-18) unstable; urgency=medium

  * depend (not only build-depend) on
    and stop autopkgtest-depend on
    package for crate rustversion

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 20:06:03 +0200

rust-axum (0.6.20-17) unstable; urgency=medium

  * add patch 2004 to avoid benches;
    closes: bug#1064232, thanks to Jeremy Bícha
  * update copyright info:
    + fix file path
    + update coverage
  * declare compliance with Debian Policy 4.7.0
  * drop done TODO about feature ws

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jun 2024 16:05:50 +0200

rust-axum (0.6.20-16) unstable; urgency=medium

  * fix autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 14:07:32 +0100

rust-axum (0.6.20-15) unstable; urgency=medium

  * drop patch 2004
    and instead skip autopkgtests for axum-extra altogether

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 01:57:57 +0100

rust-axum (0.6.20-14) unstable; urgency=medium

  * add patch 2004 to skip test requiring source path layout

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Feb 2024 06:44:36 +0100

rust-axum (0.6.20-13) unstable; urgency=medium

  * fix autopkgtest-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Feb 2024 08:51:21 +0100

rust-axum (0.6.20-12) unstable; urgency=medium

  * adjust packaging notes to reference feature typed-routing
  * add patches 2002 2003 to skip a few tests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Feb 2024 00:06:12 +0100

rust-axum (0.6.20-11) unstable; urgency=medium

  * drop patch 2001_tokio-tungstenite
    obsoleted by Debian packaging changes;
    (build-)depend on packages
    for crates base64 sha1 tokio-tungstenite;
    provide and autopkgtest axum feature ws

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Feb 2024 18:52:52 +0100

rust-axum (0.6.20-10) unstable; urgency=medium

  * drop patch 2001_tower-http,
    obsoleted by Debian packaging changes;
    (build-)depend on package for crate tower-http

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Feb 2024 06:32:51 +0100

rust-axum (0.6.20-9) unstable; urgency=medium

  * add patch 1001 to accept newer branch of crate cookie;
    drop patch 2001_cookie,
    obsoleted by Debian package changes;
    bump and extend (build-)dependencies for crate cookie;
    provide and autopkgtest axum-extras feature cookie-private

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 20:11:08 +0100

rust-axum (0.6.20-8) experimental; urgency=medium

  * provide and autopkgtest axum features "form" and "query"
  * tighten autopkgtest dependencies
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2024 18:56:20 +0100

rust-axum (0.6.20-7) experimental; urgency=medium

  * update DEP-3 headers
  * fix: provide feature matched-path (not bogus matched-paths)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jan 2024 18:38:07 +0100

rust-axum (0.6.20-6) experimental; urgency=medium

  * tighten patches, and update DEP-3 headers
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jan 2024 14:31:20 +0100

rust-axum (0.6.20-5) unstable; urgency=medium

  * fix some more patch 2001_tower-http

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 11:04:57 +0100

rust-axum (0.6.20-4) unstable; urgency=medium

  * fix patch 2001_tower-http

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 08:51:05 +0100

rust-axum (0.6.20-3) unstable; urgency=medium

  * add patches to avoid not-in-Debian crates
    serde_html_form tokio-tungstenite tower-http,
    and older-in-Debian crate cookie;
    stop provide or autopkgtest axum feature ws,
    and axum-extra features cookie-private form query typed-routing;
    reduce (build-)dependency on packages for crate cookie

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 27 Nov 2023 09:08:51 +0100

rust-axum (0.6.20-2) unstable; urgency=medium

  * provide and autopkgtest feature headers;
    (build-)depend on package for crate headers
  * build-depend on packages
    for crates http itoa matchit sync-wrapper tower-layer
  * provide axum feature multipart;
    provide axum-extra feature multipart;
    (build-)depend on package for crate multer

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Nov 2023 09:09:35 +0100

rust-axum (0.6.20-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1052404

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Oct 2023 11:55:44 +0200
